org.python.modules

## Class _codecs

- java.lang.Object
- - org.python.modules._codecs

    public class _codecs
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `_codecs.EncodingMap` Optimized charmap encoder mapping.

### Constructor Summary

Constructors
Constructor and Description
`_codecs()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PyTuple` `ascii_decode(java.lang.String str)`
`static PyTuple` `ascii_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `ascii_encode(java.lang.String str)`
`static PyTuple` `ascii_encode(java.lang.String str, java.lang.String errors)`
`static PyObject` `charmap_build(PyUnicode map)`
`static PyTuple` `charmap_decode(java.lang.String str, java.lang.String errors, PyObject mapping)`
`static PyTuple` `charmap_decode(java.lang.String str, java.lang.String errors, PyObject mapping, boolean ignoreUnmapped)`
`static PyTuple` `charmap_encode(java.lang.String str, java.lang.String errors, PyObject mapping)`
`static java.lang.String` `encode_UTF16(java.lang.String str, java.lang.String errors, int byteorder)`
`static PyTuple` `escape_decode(java.lang.String str)`
`static PyTuple` `escape_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `escape_encode(java.lang.String str)`
`static PyTuple` `escape_encode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `latin_1_decode(java.lang.String str)`
`static PyTuple` `latin_1_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `latin_1_encode(java.lang.String str)`
`static PyTuple` `latin_1_encode(java.lang.String str, java.lang.String errors)`
`static PyObject` `lookup_error(java.lang.String handlerName)`
`static PyTuple` `lookup(java.lang.String encoding)`
`static PyTuple` `raw_unicode_escape_decode(java.lang.String str)`
`static PyTuple` `raw_unicode_escape_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `raw_unicode_escape_encode(java.lang.String str)`
`static PyTuple` `raw_unicode_escape_encode(java.lang.String str, java.lang.String errors)`
`static void` `register_error(java.lang.String name, PyObject errorHandler)`
`static void` `register(PyObject search_function)`
`static PyObject` `translateCharmap(PyUnicode str, java.lang.String errors, PyObject mapping)`
`static PyTuple` `unicode_escape_decode(java.lang.String str)`
`static PyTuple` `unicode_escape_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `unicode_escape_encode(java.lang.String str)`
`static PyTuple` `unicode_escape_encode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `unicode_internal_decode(java.lang.String str)`
`static PyTuple` `unicode_internal_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `unicode_internal_encode(java.lang.String str)`
`static PyTuple` `unicode_internal_encode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_16_be_decode(java.lang.String str)`
`static PyTuple` `utf_16_be_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_16_be_decode(java.lang.String str, java.lang.String errors, boolean final_)`
`static PyTuple` `utf_16_be_encode(java.lang.String str)`
`static PyTuple` `utf_16_be_encode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_16_decode(java.lang.String str)`
`static PyTuple` `utf_16_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_16_decode(java.lang.String str, java.lang.String errors, boolean final_)`
`static PyTuple` `utf_16_encode(java.lang.String str)`
`static PyTuple` `utf_16_encode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_16_encode(java.lang.String str, java.lang.String errors, int byteorder)`
`static PyTuple` `utf_16_ex_decode(java.lang.String str)`
`static PyTuple` `utf_16_ex_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_16_ex_decode(java.lang.String str, java.lang.String errors, int byteorder)`
`static PyTuple` `utf_16_ex_decode(java.lang.String str, java.lang.String errors, int byteorder, boolean final_)`
`static PyTuple` `utf_16_le_decode(java.lang.String str)`
`static PyTuple` `utf_16_le_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_16_le_decode(java.lang.String str, java.lang.String errors, boolean final_)`
`static PyTuple` `utf_16_le_encode(java.lang.String str)`
`static PyTuple` `utf_16_le_encode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_7_decode(java.lang.String str)`
`static PyTuple` `utf_7_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_7_encode(java.lang.String str)`
`static PyTuple` `utf_7_encode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_8_decode(java.lang.String str)`
`static PyTuple` `utf_8_decode(java.lang.String str, java.lang.String errors)`
`static PyTuple` `utf_8_decode(java.lang.String str, java.lang.String errors, boolean final_)`
`static PyTuple` `utf_8_encode(java.lang.String str)`
`static PyTuple` `utf_8_encode(java.lang.String str, java.lang.String errors)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### _codecs

    public _codecs()

### Method Detail

#### register

    public static void register(PyObject search_function)

#### lookup

    public static PyTuple lookup(java.lang.String encoding)

#### lookup_error

    public static PyObject lookup_error(java.lang.String handlerName)

#### register_error

    public static void register_error(java.lang.String name,
                                      PyObject errorHandler)

#### charmap_build

    public static PyObject charmap_build(PyUnicode map)

#### utf_8_decode

    public static PyTuple utf_8_decode(java.lang.String str)

#### utf_8_decode

    public static PyTuple utf_8_decode(java.lang.String str,
                                       java.lang.String errors)

#### utf_8_decode

    public static PyTuple utf_8_decode(java.lang.String str,
                                       java.lang.String errors,
                                       boolean final_)

#### utf_8_encode

    public static PyTuple utf_8_encode(java.lang.String str)

#### utf_8_encode

    public static PyTuple utf_8_encode(java.lang.String str,
                                       java.lang.String errors)

#### utf_7_decode

    public static PyTuple utf_7_decode(java.lang.String str)

#### utf_7_decode

    public static PyTuple utf_7_decode(java.lang.String str,
                                       java.lang.String errors)

#### utf_7_encode

    public static PyTuple utf_7_encode(java.lang.String str)

#### utf_7_encode

    public static PyTuple utf_7_encode(java.lang.String str,
                                       java.lang.String errors)

#### escape_decode

    public static PyTuple escape_decode(java.lang.String str)

#### escape_decode

    public static PyTuple escape_decode(java.lang.String str,
                                        java.lang.String errors)

#### escape_encode

    public static PyTuple escape_encode(java.lang.String str)

#### escape_encode

    public static PyTuple escape_encode(java.lang.String str,
                                        java.lang.String errors)

#### charmap_decode

    public static PyTuple charmap_decode(java.lang.String str,
                                         java.lang.String errors,
                                         PyObject mapping)

#### charmap_decode

    public static PyTuple charmap_decode(java.lang.String str,
                                         java.lang.String errors,
                                         PyObject mapping,
                                         boolean ignoreUnmapped)

#### translateCharmap

    public static PyObject translateCharmap(PyUnicode str,
                                            java.lang.String errors,
                                            PyObject mapping)

#### charmap_encode

    public static PyTuple charmap_encode(java.lang.String str,
                                         java.lang.String errors,
                                         PyObject mapping)

#### ascii_decode

    public static PyTuple ascii_decode(java.lang.String str)

#### ascii_decode

    public static PyTuple ascii_decode(java.lang.String str,
                                       java.lang.String errors)

#### ascii_encode

    public static PyTuple ascii_encode(java.lang.String str)

#### ascii_encode

    public static PyTuple ascii_encode(java.lang.String str,
                                       java.lang.String errors)

#### latin_1_decode

    public static PyTuple latin_1_decode(java.lang.String str)

#### latin_1_decode

    public static PyTuple latin_1_decode(java.lang.String str,
                                         java.lang.String errors)

#### latin_1_encode

    public static PyTuple latin_1_encode(java.lang.String str)

#### latin_1_encode

    public static PyTuple latin_1_encode(java.lang.String str,
                                         java.lang.String errors)

#### utf_16_encode

    public static PyTuple utf_16_encode(java.lang.String str)

#### utf_16_encode

    public static PyTuple utf_16_encode(java.lang.String str,
                                        java.lang.String errors)

#### utf_16_encode

    public static PyTuple utf_16_encode(java.lang.String str,
                                        java.lang.String errors,
                                        int byteorder)

#### utf_16_le_encode

    public static PyTuple utf_16_le_encode(java.lang.String str)

#### utf_16_le_encode

    public static PyTuple utf_16_le_encode(java.lang.String str,
                                           java.lang.String errors)

#### utf_16_be_encode

    public static PyTuple utf_16_be_encode(java.lang.String str)

#### utf_16_be_encode

    public static PyTuple utf_16_be_encode(java.lang.String str,
                                           java.lang.String errors)

#### encode_UTF16

    public static java.lang.String encode_UTF16(java.lang.String str,
                                                java.lang.String errors,
                                                int byteorder)

#### utf_16_decode

    public static PyTuple utf_16_decode(java.lang.String str)

#### utf_16_decode

    public static PyTuple utf_16_decode(java.lang.String str,
                                        java.lang.String errors)

#### utf_16_decode

    public static PyTuple utf_16_decode(java.lang.String str,
                                        java.lang.String errors,
                                        boolean final_)

#### utf_16_le_decode

    public static PyTuple utf_16_le_decode(java.lang.String str)

#### utf_16_le_decode

    public static PyTuple utf_16_le_decode(java.lang.String str,
                                           java.lang.String errors)

#### utf_16_le_decode

    public static PyTuple utf_16_le_decode(java.lang.String str,
                                           java.lang.String errors,
                                           boolean final_)

#### utf_16_be_decode

    public static PyTuple utf_16_be_decode(java.lang.String str)

#### utf_16_be_decode

    public static PyTuple utf_16_be_decode(java.lang.String str,
                                           java.lang.String errors)

#### utf_16_be_decode

    public static PyTuple utf_16_be_decode(java.lang.String str,
                                           java.lang.String errors,
                                           boolean final_)

#### utf_16_ex_decode

    public static PyTuple utf_16_ex_decode(java.lang.String str)

#### utf_16_ex_decode

    public static PyTuple utf_16_ex_decode(java.lang.String str,
                                           java.lang.String errors)

#### utf_16_ex_decode

    public static PyTuple utf_16_ex_decode(java.lang.String str,
                                           java.lang.String errors,
                                           int byteorder)

#### utf_16_ex_decode

    public static PyTuple utf_16_ex_decode(java.lang.String str,
                                           java.lang.String errors,
                                           int byteorder,
                                           boolean final_)

#### raw_unicode_escape_encode

    public static PyTuple raw_unicode_escape_encode(java.lang.String str)

#### raw_unicode_escape_encode

    public static PyTuple raw_unicode_escape_encode(java.lang.String str,
                                                    java.lang.String errors)

#### raw_unicode_escape_decode

    public static PyTuple raw_unicode_escape_decode(java.lang.String str)

#### raw_unicode_escape_decode

    public static PyTuple raw_unicode_escape_decode(java.lang.String str,
                                                    java.lang.String errors)

#### unicode_escape_encode

    public static PyTuple unicode_escape_encode(java.lang.String str)

#### unicode_escape_encode

    public static PyTuple unicode_escape_encode(java.lang.String str,
                                                java.lang.String errors)

#### unicode_escape_decode

    public static PyTuple unicode_escape_decode(java.lang.String str)

#### unicode_escape_decode

    public static PyTuple unicode_escape_decode(java.lang.String str,
                                                java.lang.String errors)

#### unicode_internal_encode

    public static PyTuple unicode_internal_encode(java.lang.String str)

#### unicode_internal_encode

    public static PyTuple unicode_internal_encode(java.lang.String str,
                                                  java.lang.String errors)

#### unicode_internal_decode

    public static PyTuple unicode_internal_decode(java.lang.String str)

#### unicode_internal_decode

    public static PyTuple unicode_internal_decode(java.lang.String str,
                                                  java.lang.String errors)